OptionalanalyticsanalyticsClientMiddleware allows to hook into an analytics event payload before it is sent to the Coveo platform.
OptionalanalyticsThe analytics client to use.
legacy: The legacy analytics client, that is, the Coveo Analytics.js library.next: The next analytics client, that is, the Coveo Event Protocol with the Relay library.The default value is next.
OptionalanonymousWhether analytics events should be logged anonymously. If set to true, the Usage Analytics Write API will not extract the name and userDisplayName, if present, from the search token
OptionaldeviceThe name of the device that the end user is using. It should be explicitly configured in the context of a native mobile app.
OptionaldocumentSpecifies the URL of the current page or component.
OptionalenabledSpecifies if usage analytics tracking should be enabled.
By default, all analytics events will be logged.
OptionaloriginSets the Origin Context dimension on the analytics events.
You can use this dimension to specify the context of your application. The possible values are "Search", "InternalSearch", and "CommunitySearch".
The default value is Search.
OptionaloriginSets the value of the Origin Level 2 dimension on the analytics events.
Origin level 2 is a usage analytics event metadata whose value should typically be the name/identifier of the tab from which the usage analytics event originates.
In the context of product listing, the value should match the breadcrumb of the product listing page from which the usage analytics event originates (for example, canoes-kayaks/kayaks/sea-kayaks).
When logging a usage analytics event, originLevel2 should always be set to the same value as the corresponding tab (parameter) Search API query parameter so Coveo Machine Learning models function properly, and usage analytics reports and dashboards are coherent.
If left unspecified, this value will automatically try to resolve itself from the tab Search API query parameter.
OptionaloriginOrigin level 3 is a usage analytics event metadata whose value should typically be the URL of the page that linked to the search interface that’s making the request.
When logging a Search usage analytics event, originLevel3 should always be set to the same value as the corresponding referrer Search API query parameter so usage analytics reports and dashboards are coherent.
This value is optional, and will automatically try to resolve itself from the referrer search parameter.
OptionalproxyThe base URL to use to proxy Coveo analytics requests (for example, https://example.com/analytics).
This is an advanced option that you only set if you proxy Coveo analytics requests through your own server. In most cases, you should not set this option.
OptionalruntimeOptional analytics runtime environment, this is needed for analytics to work correctly if you're running outside of a browser. See https://github.com/coveo/coveo.analytics.js for more info.
Optional InternalsourceSpecifies the frameworks and version used around Headless (e.g. @coveo/atomic).
OptionaltrackingThe unique identifier of the tracking target.
OptionaluserSpecifies the user display name for the usage analytics logs.
The analytics configuration options.